<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: Object Maintenance</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Object Maintenance<br>
<small>
[<a class="el" href="group__Edma3ResMgrInt.html">Internal Interface Definition for Resource Manager</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Obj.html">EDMA3_RM_Obj</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">EDMA3 Hardware Instance Configuration Structure.  <a href="structEDMA3__RM__Obj.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__Instance.html">EDMA3_RM_Instance</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">EDMA3 RM Instance Specific Configuration Structure.  <a href="structEDMA3__RM__Instance.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Modules</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMIntBoundVals.html">Boundary Values</a></td></tr>

<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3ResMgrIntObjMaint.html#g12f47d9e744ff042541b8f384331e213">EDMA3_RM_ObjState</a> { <br>
&nbsp;&nbsp;<a class="el" href="group__Edma3ResMgrIntObjMaint.html#gg12f47d9e744ff042541b8f384331e213f9ecffaa0b927c32a79ccf09d13249ba">EDMA3_RM_DELETED</a> =  0, 
<br>
&nbsp;&nbsp;<a class="el" href="group__Edma3ResMgrIntObjMaint.html#gg12f47d9e744ff042541b8f384331e2138430ad1934474c9cc45c05ef7397a064">EDMA3_RM_CREATED</a> =  1, 
<br>
&nbsp;&nbsp;<a class="el" href="group__Edma3ResMgrIntObjMaint.html#gg12f47d9e744ff042541b8f384331e213204be13ae2662478c7b424cb634020f4">EDMA3_RM_OPENED</a> =  2, 
<br>
&nbsp;&nbsp;<a class="el" href="group__Edma3ResMgrIntObjMaint.html#gg12f47d9e744ff042541b8f384331e21363316a48e3824e29716bbf1473f7f198">EDMA3_RM_CLOSED</a> =  3
<br>
 }</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Maintenance of the EDMA3 Resource Manager Object <hr><h2>Enumeration Type Documentation</h2>
<a class="anchor" name="g12f47d9e744ff042541b8f384331e213"></a><!-- doxytag: member="edma3resmgr.h::EDMA3_RM_ObjState" ref="g12f47d9e744ff042541b8f384331e213" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Edma3ResMgrIntObjMaint.html#g12f47d9e744ff042541b8f384331e213">EDMA3_RM_ObjState</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
To maintain the state of the EDMA3 Resource Manager Object <dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="gg12f47d9e744ff042541b8f384331e213f9ecffaa0b927c32a79ccf09d13249ba"></a><!-- doxytag: member="EDMA3_RM_DELETED" ref="gg12f47d9e744ff042541b8f384331e213f9ecffaa0b927c32a79ccf09d13249ba" args="" -->EDMA3_RM_DELETED</em>&nbsp;</td><td>
Object deleted </td></tr>
<tr><td valign="top"><em><a class="anchor" name="gg12f47d9e744ff042541b8f384331e2138430ad1934474c9cc45c05ef7397a064"></a><!-- doxytag: member="EDMA3_RM_CREATED" ref="gg12f47d9e744ff042541b8f384331e2138430ad1934474c9cc45c05ef7397a064" args="" -->EDMA3_RM_CREATED</em>&nbsp;</td><td>
Obect Created </td></tr>
<tr><td valign="top"><em><a class="anchor" name="gg12f47d9e744ff042541b8f384331e213204be13ae2662478c7b424cb634020f4"></a><!-- doxytag: member="EDMA3_RM_OPENED" ref="gg12f47d9e744ff042541b8f384331e213204be13ae2662478c7b424cb634020f4" args="" -->EDMA3_RM_OPENED</em>&nbsp;</td><td>
Object Opened </td></tr>
<tr><td valign="top"><em><a class="anchor" name="gg12f47d9e744ff042541b8f384331e21363316a48e3824e29716bbf1473f7f198"></a><!-- doxytag: member="EDMA3_RM_CLOSED" ref="gg12f47d9e744ff042541b8f384331e21363316a48e3824e29716bbf1473f7f198" args="" -->EDMA3_RM_CLOSED</em>&nbsp;</td><td>
Object Closed </td></tr>
</table>
</dl>

</div>
</div><p>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:49 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
